use scraper;

fn main()
{
    let html_string : &str = "<html><body><p>테스트 문자열 1</p><p>테스트 문자열 1</p></body></html>";

    let html : scraper::Html = scraper::Html::parse_document(&html_string);

    let selector : scraper::Selector = scraper::Selector::parse("p").unwrap();

    for (index, element) in html.select(&selector).enumerate()
    {
        println!("{} : {:?}", index, element.value());
    }
}